
Foreman - Refactor #11625

Make foreman ace editor reusable

08/31/2015 10:27 AM - Walden Raines

Status: Closed   

Priority: Normal   

Assignee: Walden Raines   

Category: Web Interface   

Target version: 1.10.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2656

  

Description

We should make the foreman ace editor reusable so it can be used on the global parameters page as well.

Related issues:

Related to Foreman - Bug #11688: Syntax highlighting defaults to text when ed... Closed 09/04/2015

Related to Foreman - Bug #11689: Hidden value checkbox on global parameter fo... Closed 09/04/2015

Related to Foreman - Refactor #11692: Update ace-rails-ap to 4.x Closed 09/04/2015

Related to Foreman - Bug #11745: page fails to load properly after editing a ... Closed 09/09/2015

Related to Foreman - Bug #12005: Host selector in template preview mode is no... Closed 09/30/2015

Related to Foreman - Bug #12271: Audit of template change has an empty diff Closed 10/22/2015

Associated revisions

Revision fa8353d8 - 09/04/2015 03:34 AM - Walden Raines

Fixes #11625:  refactor the ace editor to make it reusable.

Make the ace editor reusable and include it on the global parameters

page.

http://projects.theforeman.org/issues/11625

Revision e292e0ba - 09/04/2015 05:43 AM - Dominic Cleal

refs #11625 - add ace-rails-ap to assets deps

History

#1 - 08/31/2015 11:02 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2656 added

- Pull request deleted ()

#2 - 09/04/2015 03:38 AM - Dominic Cleal

- translation missing: en.field_release set to 63

#3 - 09/04/2015 04:02 AM - Walden Raines

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset fa8353d8b6516b5da940816390cf9ba4de960491.

#4 - 09/04/2015 04:59 AM - Dominic Cleal

- Related to Bug #11688: Syntax highlighting defaults to text when editing provisioning templates added
#5 - 09/04/2015 05:06 AM - Dominic Cleal

- Related to Bug #11689: Hidden value checkbox on global parameter form doesn't replace editor added

#6 - 09/04/2015 05:26 AM - Dominic Cleal

- Related to Refactor #11692: Update ace-rails-ap to 4.x added

#7 - 09/09/2015 10:27 AM - Dominic Cleal

- Related to Bug #11745: page fails to load properly after editing a template added

#8 - 09/30/2015 06:54 AM - Marek Hulán

- Related to Bug #12005: Host selector in template preview mode is not aligned properly added

#9 - 10/30/2015 04:06 AM - Dominic Cleal

- Related to Bug #12271: Audit of template change has an empty diff  added
